/*
 * File:   O-BUZZER
 * Author: Bart Huyskens - www.e2cre8.be  04/2016
 * HARDWARE: BRAINBOX FUN - PIC18F445 + Bootloader running at 48Mhz
 * 
 * This program 'reads' the input lever of pin RB2
 * When the pin level is high - the 8 leds of PORTD will light up
 */
// PIC18F4455 Configuration Bit Settings - 
// all config settings are made in the bootloader

#include <xc.h>   // general XC8 library
#define _XTAL_FREQ 48000000  // Brainbox Fun running at 48Mhz

#define INPUT PORTBbits.RB2    // using a define to give pin a better name
#define LEDARRAY PORTD    // using a define to give pin a better name


void main(void) // main program
{  
    TRISBbits.RB2 = 1;  // make pin INPUT pin
    TRISD = 0x00;       // make all 8 nits of PORTD output - LEDS
    
    while(1)
        { // never ending loop
        
            if (INPUT == 1)  // if input reads as 'high'
            {
              LEDARRAY = 0xFF;  // All leds ON
            }
            else                   // if input reads as 'low'
            {
              LEDARRAY = 0x00;  // All leds OFF
            }
        }
}

